Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class OrderQuery

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.OrderQuery

Deprecated See BEA Commerce product offering

    @Deprecated
    public class OrderQuery

extends Object

Constructor Summary
`OrderQuery()` Deprecated See BEA Commerce product offering

Method Summary
`OrderObject` | `getQualifier()` Deprecated See BEA Commerce product offering
`OrderQuerySpec` | `getQualifierSpec()` Deprecated See BEA Commerce product offering
`OrderObject` | `getTarget()` Deprecated See BEA Commerce product offering
`OrderQuerySpec` | `getTargetSpec()` Deprecated See BEA Commerce product offering
`boolean` | `isSatisfied()` Deprecated See BEA Commerce product offering
`void` | `set(OrderQuerySpec qualSpec, OrderQuerySpec targetSpec)` Deprecated See BEA Commerce product offering
`void` | `setIsSatisfied(boolean value)` Deprecated See BEA Commerce product offering
`void` | `setQualifier(OrderObject qualifier)` Deprecated See BEA Commerce product offering
`void` | `setTarget(OrderObject target)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderQuery

    public OrderQuery()

  Deprecated See BEA Commerce product offering

Method Detail

### set

    public void set(OrderQuerySpec qualSpec,
                    OrderQuerySpec targetSpec)

  Deprecated See BEA Commerce product offering

### getQualifierSpec

    public OrderQuerySpec getQualifierSpec()

  Deprecated See BEA Commerce product offering

### getTargetSpec

    public OrderQuerySpec getTargetSpec()

  Deprecated See BEA Commerce product offering

### isSatisfied

    public boolean isSatisfied()

  Deprecated See BEA Commerce product offering

### setIsSatisfied

    public void setIsSatisfied(boolean value)

  Deprecated See BEA Commerce product offering

### getQualifier

    public OrderObject getQualifier()

  Deprecated See BEA Commerce product offering

### setQualifier

    public void setQualifier(OrderObject qualifier)

  Deprecated See BEA Commerce product offering

### getTarget

    public OrderObject getTarget()

  Deprecated See BEA Commerce product offering

### setTarget

    public void setTarget(OrderObject target)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved